%  transverse-spatial grid (linear geometry)
%  modification coefficients for PML implementation
  
  dx      = LX/(NX+1);                       % x-grid lattice spacing
  index_x = 0:NX-1;
  cx      = ((index_x - floor(NX/2))*dx)';   % coordinates in radial dimension
      

 
 AA = ones(1,NX);
 BB = zeros(1,NX);

 ww = 1.0/( LX/8.0 );

 n0 = floor(0.15*NX);
 n0 = NX-n0+1;
 for x=n0:NX
 AA(x) = -1.0/(+1i - 4*ww^3*(cx(x) - cx(n0))^3)^2;
 BB(x) = -6*1i*ww^3*(cx(x)-cx(n0))^2/(k0*(+1i - 4*ww^3*(cx(x) - cx(n0))^3)^3 );
 end
 
 n0 = ceil(0.15*NX);
 for x=1:n0
 AA(x) = -1.0/(+1i + 4*ww^3*(cx(x) - cx(n0))^3)^2;
 BB(x) = +6*1i*ww^3*(cx(x)-cx(n0))^2/(k0*(+1i + 4*ww^3*(cx(x) - cx(n0))^3)^3 );
 end

