%% Perfectly Matched Layer BC in BPM based on Method of Lines 

clear all; close all;

%% load input parameters
ParametersBeta



%% Initial condition = exact solution
[E0,Ey,Ez,betaTE,betaTM] = E_swg(1.0*cx/rho, nco, 1.0, rho, lambda);

%nco = 1.0;

%% Permittivity spatial profile
eps  = ones(NX,1);
core = find(abs(cx) < rho);
eps(core) = nco^2;
nref      = betaTM/k0+0.0;


%% Definition of grid, AA, BB arrays
Grid


%% this will hold the map of amplitude in z-x space
map = zeros(100,NX);
map(1,:) = E0;

Eold = E0;

%% define auxiliary to extract/estimate beta
auxold = Eold(NX/2);

%% PROPAGATE
tic;
for k=1:Nz

   Enew = CrankNicolson(dx, k0, Eold, Eold, NX, dz, AA, BB, eps, nref);  
   Eold = Enew;

figure(1);
plot(abs(Eold));
hold on;
plot(real(Eold),'r');
plot(imag(Eold),'m');
ylim([-2.5 2.5]);
pause(0.05);
hold off;

   map(k,:) = Eold;
   
   %% estimate beta
   auxnew = Eold(NX/2);
   
   estbeta = -1i/dz*log(auxnew/auxold) + k0*nref;
   auxold = auxnew;
   
   display(estbeta);
   
end
toc;

figure(1);
pcolor(log10(abs(map).^2 + 1.0e-20)); shading flat; colorbar;

figure(2);
plot(abs(Eold));
hold on;
plot(abs(E0),'r');
