%% Input beam parameters
  lambda = 1.3e-6;            % wavelength 
  rho    = 0.5e-06;           % core half-thickness
  rho    = 0.333333e-06;           % core half-thickness
  nco    = sqrt(2.0);         % core index

%% Derived parameters
  k0     = 2*pi/lambda;      % wavenumber in vacuum 

%% Computational grid etc.    
  LX = 15.0e-06;             % x-box size (transverse dimension)
  NX = 3000;                 % number of points in x-dimension

%% derived grid params
  dx      = LX/(NX+1);             % x-grid lattice spacing
  index_x = 1:NX;
  cx      = ((index_x -NX/2)*dx)'; %' coordinates

%% Integration control
  zmax   =  2.0e-05;         % propagation distance 
  Nz     =  200;            % number of propagation steps
  dz     =  zmax/Nz;         % propagation step (cm)

%% Report (diagnostics) control
  M      = 1000;
  Kmax   = Nz/M + 1;


 
