%% Input beam parameters
  lambda = 1.3e-6;            % wavelength 
  rho    = 50.0e-06;           % core half-thickness
  nco    = sqrt(1.02);         % core index

%% Derived parameters
  k0     = 2*pi/lambda;      % wavenumber in vacuum 

%% Computational grid etc.    
  LX = 150.0e-06;             % x-box size (transverse dimension)
  NX = 201;                 % number of points in x-dimension

%% derived grid params
  dx      = LX/(NX+1);             % x-grid lattice spacing
  index_x = 1:NX;
  cx      = ((index_x -NX/2)*dx)'; % coordinates

%% Integration control
  zmax   =  1.0e-03;         % propagation distance 
  Nz     =  2000;            % number of propagation steps
  dz     =  zmax/Nz;         % propagation step (cm)

%% Report (diagnostics) control
  M      = 1000;
  Kmax   = Nz/M + 1;


 
